> ## Documentation Index
> Fetch the complete documentation index at: https://docs.json.pe/llms.txt
> Use this file to discover all available pages before exploring further.

# RUC - Omisiones Tributarias

> Consulta omisiones tributarias por RUC.



## OpenAPI

````yaml POST /ruc/omisiones-tributarias
openapi: 3.0.1
info:
  title: json.pe - API Consulta RUC, DNI, Placa, SOAT, Licencia de Conducir y más
  description: >-
    Documentación oficial de [json.pe](https://json.pe) — API Consulta RUC, DNI,
    Placa, SOAT, Licencia de Conducir y más. Regístrate gratis en
    [json.pe/signup](https://json.pe/signup).
  version: 1.0.0
servers:
  - url: https://api.json.pe/api
security:
  - bearerAuth: []
paths:
  /ruc/omisiones-tributarias:
    post:
      tags:
        - ruc
      description: Consulta omisiones tributarias por RUC.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ruc-request'
            example:
              ruc: '20100070970'
      responses:
        '200':
          description: >-
            Consulta exitosa. Retorna períodos omisos o mensaje informativo si
            no hay omisiones en los últimos 5 años.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ruc-omisiones-tributarias'
              examples:
                con_omisiones:
                  summary: Con omisiones tributarias
                  value:
                    success: true
                    message: exito
                    data:
                      - periodo: '202401'
                        tipo: PDT IGV - Renta
                        fecha_presentacion: '-'
                sin_omisiones:
                  summary: Sin omisiones en los últimos 5 años
                  value:
                    success: true
                    message: No se ha remitido períodos omisos en los últimos 5 años...
                    data: null
                error:
                  summary: Error en la consulta
                  value:
                    success: false
                    message: xxxxxx
                    data: null
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    ruc-request:
      type: object
      required:
        - ruc
      properties:
        ruc:
          type: string
          description: El RUC a consultar
          example: '20552103816'
      example:
        ruc: '20552103816'
    ruc-omisiones-tributarias:
      type: object
      properties:
        success:
          type: boolean
          description: El estado de la respuesta true o false
        message:
          type: string
          description: Mensaje de la respuesta
        data:
          nullable: true
          type: array
          description: >-
            Lista de períodos omisos. Es null cuando no hay omisiones o cuando
            ocurre un error.
          items:
            type: object
            properties:
              periodo:
                type: string
                description: Período en formato YYYYMM
              tipo:
                type: string
                description: Tipo de declaración omisa (ej. PDT IGV - Renta)
              fecha_presentacion:
                type: string
                description: Fecha de presentación. Puede ser "-" si no se presentó
      example:
        success: true
        message: exito
        data:
          - periodo: '202401'
            tipo: PDT IGV - Renta
            fecha_presentacion: '-'
    error:
      required:
        - message
        - success
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      example:
        success: false
        message: Bad Request
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````